#if !defined(AFX_CHATSET_H__08D2010B_29D7_4069_930A_034727195917__INCLUDED_)
#define AFX_CHATSET_H__08D2010B_29D7_4069_930A_034727195917__INCLUDED_


#if _MSC_VER > 1000
#pragma once
#endif

class CChatSet : public CRecordset
{
public:
	CChatSet(CDatabase* pDatabase = NULL);
	DECLARE_DYNAMIC(CChatSet)

// Field/Param Data

	CString	m_IDName;
	int	m_OnLine;
	CString	m_IPAddr;
	CString	m_Password;
	CString	m_NickName;
	CString	m_Sex;
	CString	m_Tel;
	CString	m_Address;
	CString	m_Email;
	CString	m_Color;

// Overrides

	public:
	virtual CString GetDefaultConnect();	// Default connection string
	virtual CString GetDefaultSQL(); 	// default SQL for Recordset
	virtual void DoFieldExchange(CFieldExchange* pFX);	// RFX support

	#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
	#endif
};

#endif